## Install dependencies

Go dependancies:

```
go get -v github.com/pilu/fresh
go get -v github.com/mattes/migrate
```

NPM dependencies:

```
npm install
```

### NOTE: for debian users

If you use debian the node binary is named nodejs you have to symlink it to node:


```
# ln -s /usr/bin/nodejs /usr/bin/node
```

## Dev

```
make dev
```

To setup the dev env, run server, and auto-reload on file changes

## Connect to the database

```
docker run -it --rm --link canape_postgresql_dev:postgres postgres:9.5 psql -h postgres -U test
```

## Default users

This users are defined with this parameters:
pepper: "pepper"
cost: 10

Users:
* Admin user: admin / admin
* Test user: test / test

## Run the tests


```
make test
```

## To clean up

```
make clean
```

## Build


```
make build

```

## Watch js and less update, and auto-reload server

```
make watch
```
